/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.apply.operationSiteApply.excel;


import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 运维商准入申请表 Excel实体类
 *
 * @author lzp
 * @since 2024-08-09
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class OperationSiteApplyExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 登录账号
	 */
	@ColumnWidth(20)
	@ExcelProperty("登录账号")
	private String loginName;

	/**
	 * 运维商名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("运维商名称")
	private String name;
	/**
	 * 联系人
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系人")
	private String contacts;
	/**
	 * 省
	 */
	@ColumnWidth(20)
	@ExcelProperty("省")
	private String province;
	/**
	 * 市
	 */
	@ColumnWidth(20)
	@ExcelProperty("市")
	private String city;
	/**
	 * 区县
	 */
	@ColumnWidth(20)
	@ExcelProperty("区县")
	private String area;
	/**
	 * 详细地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("详细地址")
	private String address;
	/**
	 * 业务联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("业务联系电话")
	private String mobile;

	/**
	 * 保证金金额
	 */
	@ColumnWidth(20)
	@ExcelProperty("申请时间")
	private Date createTime;

	/**
	 * 备注
	 */
	@ColumnWidth(20)
	@ExcelProperty("备注")
	private String remarks;


}
