/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.apply.operationSiteApply.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.flow.core.entity.BladeFlow;
import org.springblade.modules.apply.operationSiteApply.pojo.entity.OperationSiteApplyEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.flowable.examineInfo.pojo.vo.ExamineInfoVO;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessDefAuditStepVO;

import java.io.Serial;
import java.util.List;

/**
 * 运维商准入申请表 视图实体类
 *
 * @author lzp
 * @since 2024-08-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OperationSiteApplyVO extends OperationSiteApplyEntity {
	@Serial
	private static final long serialVersionUID = 1L;

	@Schema(description = "是否有审核权限 1.有 ")
	private String audit;
	@Schema(description = "是否有查看权限 1.有 其他则无")
	private String lookAuth;
	@Schema(description = "流程操作记录")
	List<ExamineInfoVO> examineInfoList;
	@Schema(description = "流程节点")
	List<ProcessDefAuditStepVO> bladeFlowList;

	@Schema(description = "审核次数")
	private Long shCount;



}
