/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 平台备件申请领用记录的操作详情表 Excel实体类
 *
 * @author lzp
 * @since 2024-08-24
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PlatformFittingApplyMsgExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 关联的申请记录id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联的申请记录id")
	private String fittingApplyId;
	/**
	 * 运维商id
	 */
	@ColumnWidth(20)
	@ExcelProperty("运维商id")
	private String siteId;
	/**
	 * 操作详情
	 */
	@ColumnWidth(20)
	@ExcelProperty("操作详情")
	private String message;
	/**
	 * 操作人
	 */
	@ColumnWidth(20)
	@ExcelProperty("操作人")
	private String createName;

}
