/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.mapper;

import org.springblade.modules.fitting.pojo.dto.OperationOrderMaterialDTO;
import org.springblade.modules.fitting.pojo.entity.OperationOrderMaterialEntity;
import org.springblade.modules.fitting.pojo.vo.OperationOrderMaterialVO;
import org.springblade.modules.fitting.excel.OperationOrderMaterialExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.fitting.pojo.vo.OrderUseFittingDetailVo;

import java.util.List;
import java.util.Map;

/**
 * 工单备件使用表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-08-27
 */
public interface OperationOrderMaterialMapper extends BaseMapper<OperationOrderMaterialEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param operationOrderMaterial
	 * @return
	 */
	List<OperationOrderMaterialVO> selectOperationOrderMaterialPage(IPage page, OperationOrderMaterialVO operationOrderMaterial);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<OperationOrderMaterialExcel> exportOperationOrderMaterial(@Param("ew") Wrapper<OperationOrderMaterialEntity> queryWrapper);

	List<OperationOrderMaterialDTO> getOrderUserdFitting(@Param("orderId") String orderId);

	List<OperationOrderMaterialDTO> getOrderApplyFitting(@Param("orderId") String orderId);


	List<OperationOrderMaterialEntity> getEmpUseFittingList(IPage page,@Param("vo") Map<String, String> params);


	OrderUseFittingDetailVo getOrderUseFittingDetail(@Param("id")String id);

	OrderUseFittingDetailVo getOrderCanUseFittingDetail(@Param("materialId") String materialId, @Param("empUserId") String empUserId);
}
