/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 工单备件使用表 实体类
 *
 * @author BladeX
 * @since 2024-08-27
 */
@Data
@TableName("sf_operation_order_material")
@Schema(description = "OperationOrderMaterial对象")
public class OperationOrderMaterialEntity implements Serializable {

	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;

	/**
	 * 服务商id
	 */
	@Schema(description = "服务商id")
	private String siteId;
	/**
	 * 关联工单id
	 */
	@Schema(description = "关联工单id")
	private String orderId;
	/**
	 * 物料归属 1物料甲供 2自备物料
	 */
	@Schema(description = "物料归属 1物料甲供 2自备物料")
	private String materialFrom;
	/**
	 * 物料id
	 */
	@Schema(description = "物料id")
	private String materialId;
	/**
	 * 物料名称
	 */
	@Schema(description = "物料名称")
	private String materialName;
	/**
	 * 物料代码
	 */
	@Schema(description = "物料代码")
	private String materialCode;
	/**
	 * 物料类型
	 */
	@Schema(description = "物料类型")
	private String materialType;
	/**
	 * 物料规格
	 */
	@Schema(description = "物料规格")
	private String materialSpec;
	/**
	 * 使用数量
	 */
	@Schema(description = "使用数量")
	private Integer userAmount;

	@Schema(description = "工程师userId")
	private String empUserId;

	@Schema(description = "创建时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**
	 * 添加人userId
	 */
	@Schema(description = "添加人userId")
	private String createBy;
	/**
	 * 添加人姓名
	 */
	@Schema(description = "添加人姓名")
	private String createName;

	@Schema(description = "状态 0使用 1删除")
	private String status;

	@Schema(description = "修改时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	/**
	 * 修改人姓名
	 */
	@Schema(description = "修改人姓名")
	private String updateName;

}
