/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 平台备件申请领用记录的操作详情表 实体类
 *
 * @author lzp
 * @since 2024-08-24
 */
@Data
@TableName("crm_platform_fitting_apply_msg")
@Schema(description = "PlatformFittingApplyMsg对象")
public class PlatformFittingApplyMsgEntity implements Serializable {

	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;

	/**
	 * 关联的申请记录id
	 */
	@Schema(description = "关联的申请记录id")
	private String fittingApplyId;
	/**
	 * 运维商id
	 */
	@Schema(description = "运维商id")
	private String siteId;
	/**
	 * 操作详情
	 */
	@Schema(description = "操作详情")
	private String message;
	/**
	 * 操作人
	 */
	@Schema(description = "操作人")
	private String createName;

	private Date createTime;

}
