package org.springblade.modules.fitting.pojo.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@Data
public class AddFittingApplyVo {

	@Schema(description =  "编辑的时候使用")
	private String id;

	@Schema(description =  "pc申请时，选择的服务工程师")
	private String empUserId;

	@Schema(description =  "物料申请时关联的工单id")
	private String orderId;

	@Schema(description =  "物料代码")
	private String materialCode;

	@Schema(description =  "物料名称")
	private String materialName;

	@Schema(description =  "物料类型")
	@NotBlank(message = "物料类型不能为空")
	private String fittingVersion;

	@Schema(description =  "物料规格")
	@NotBlank(message = "物料规格不能为空")
	private String materialSpec;

	@Schema(description =  "备件申请数量")
	private Integer applyNum;

	@Schema(description =  "申请备注")
	private String applyMarks;

	@Schema(description =  "服务工程师id")
	private String empId;

}
