package org.springblade.modules.fitting.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

import java.util.List;

@Data
public class AddOrderFittingUseVo {

	@Schema(description = "关联工单id")
	@NotBlank(message = "工单id不能为空")
	private String orderId;

	@Schema(description = "物料归属 1物料甲供 2自备物料")
	@NotBlank(message = "物料归属不能为空")
	private String materialFrom;

	@Schema(description = "使用的物料信息")
	@NotEmpty(message = "物料信息不能为空！")
	private List<OperationOrderMaterialVO> userMaterila;

}
