package org.springblade.modules.fitting.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class OrderUseFittingDetailVo {

	@Schema(description = "物料使用的id")
	private String id;

	@Schema(description = "物料归属 1物料甲供 2自备物料")
	private String materialFrom;

	@Schema(description = "工单编号")
	private String orderNumber;

	@Schema(description = "电站编码")
	private String powerStationCode;

	@Schema(description = "用户姓名")
	private String customerName;

	@Schema(description = "安装地址")
	private String customerAddress;

	@Schema(description = "使用时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date userTime;

	@Schema(description = "物料id")
	private String materialId;
	/**
	 * 物料名称
	 */
	@Schema(description = "物料名称")
	private String materialName;
	/**
	 * 物料代码
	 */
	@Schema(description = "物料代码")
	private String materialCode;
	/**
	 * 物料类型
	 */
	@Schema(description = "物料类型")
	private String materialType;


	@Schema(description = "物料规格")
	private String materialSpec;

	@Schema(description = "使用数量")
	private Integer userAmount;

	@Schema(description = "库存数量")
	private String stock;

}
