/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.fitting.pojo.entity.PlatformFittingApplyEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 服务商向平台备件申请领用记录表 视图实体类
 *
 * @author lzp
 * @since 2024-08-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PlatformFittingApplyVO extends PlatformFittingApplyEntity {
	@Serial
	private static final long serialVersionUID = 1L;

	@Schema(description = "创建时间--开始")
	private String createTimeSta;

	@Schema(description = "创建时间--结束")
	private String createTimeEnd;

	@Schema(description = "一级审核时间--开始")
	private String confirmTimeSta;

	@Schema(description = "一级审核时间--结束")
	private String confirmTimeEnd;

	@Schema(description = "审核时间--开始")
	private String confirmTimeTwoSta;

	@Schema(description = "审核时间--结束")
	private String confirmTimeTwoEnd;

}
