/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.examineInfo.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 审批明细记录表 实体类
 *
 * @author lzp
 * @since 2024-08-09
 */
@Data
@TableName("crm_examine_info")
@Schema(description = "ExamineInfo对象")
public class ExamineInfoEntity implements Serializable {



	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;

	/**
	 * 申请流程 id 每个表的id
	 */
	@Schema(description = "申请流程 id 每个表的id")
	private String formId;
	/**
	 * 操作内容
	 */
	@Schema(description = "操作内容")
	private String detail;
	/**
	 * 操作时间
	 */
	@Schema(description = "操作时间")
	private Date operateTime;
	/**
	 * 操作人
	 */
	@Schema(description = "操作人")
	private String operateName;
	/**
	 * 流程表单id
	 */
	@Schema(description = "流程表单id")
	private String formTypeId;

}
