/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 流程定义模板，flowable流程定义根据该模板动态部署一个流程定义。 Excel实体类
 *
 * @author lzp
 * @since 2024-08-02
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class ProcessDefExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 流程名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("流程名称")
	private String name;
	/**
	 * 表单id
	 */
	@ColumnWidth(20)
	@ExcelProperty("表单id")
	private String formId;
	/**
	 * 流程描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("流程描述")
	private String description;
	/**
	 * 创建人
	 */
	@ColumnWidth(20)
	@ExcelProperty("创建人")
	private String createBy;
	/**
	 * 每个流程都有一个唯一key标识，可以写死。
	 */
	@ColumnWidth(20)
	@ExcelProperty("每个流程都有一个唯一key标识，可以写死。")
	private String keyValue;

}
