/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 流程中的提交步骤（或者称为一个任务）。 Excel实体类
 *
 * @author lzp
 * @since 2024-08-02
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class ProcessDefSubmitStepExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 可见字段，使用逗号分隔，存code。
	 */
	@ColumnWidth(20)
	@ExcelProperty("可见字段，使用逗号分隔，存code。")
	private String visibleFields;
	/**
	 * 可编辑字段，使用逗号分隔，存code。
	 */
	@ColumnWidth(20)
	@ExcelProperty("可编辑字段，使用逗号分隔，存code。")
	private String operateFields;
	/**
	 * 节点名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("节点名称")
	private String itemName;
	/**
	 * 提交人类型 1平台角色 2 平台员工 3 代理商
	 */
	@ColumnWidth(20)
	@ExcelProperty("提交人类型 1平台角色 2 平台员工 3 代理商")
	private String submitType;
	/**
	 * 可提交角色(提交人类型是平台角色的时候存角色)
	 */
	@ColumnWidth(20)
	@ExcelProperty("可提交角色(提交人类型是平台角色的时候存角色)")
	private String roleId;
	/**
	 * 可提交员工(提交人类型是平台员工的时候存用户id)
	 */
	@ColumnWidth(20)
	@ExcelProperty("可提交员工(提交人类型是平台员工的时候存用户id)")
	private String empUserId;
	/**
	 * 角色名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("角色名称")
	private String roleName;
	/**
	 * 流程模板id
	 */
	@ColumnWidth(20)
	@ExcelProperty("流程模板id")
	private String procDefId;
	/**
	 * 创建人id
	 */
	@ColumnWidth(20)
	@ExcelProperty("创建人id")
	private String createBy;

}
