/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefAuditStepEntity;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefSubmitStepEntity;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessDefVO;

import java.io.Serial;
import java.util.List;

/**
 * 流程定义模板，flowable流程定义根据该模板动态部署一个流程定义。 数据传输对象实体类
 *
 * @author lzp
 * @since 2024-08-02
 */
@Data
public class ProcessDefDTO {
	@Serial
	private static final long serialVersionUID = 1L;

	@Schema(description = "流程基本信息")
	private ProcessDefVO def;
	@Schema(description = "流程中的提交步骤")
	private ProcessDefSubmitStepEntity submitStep;
	@Schema(description = "审核步骤")
	private List<ProcessDefAuditStepEntity> steps;

}
