/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.tool.api.R;
import org.springblade.modules.flowable.processForm.pojo.dto.ProcessDefDTO;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefEntity;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessFormEntity;
import org.springblade.modules.flowable.processForm.pojo.vo.AddProcessVo;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessDefVO;
import org.springblade.modules.flowable.processForm.excel.ProcessDefExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 流程定义模板，flowable流程定义根据该模板动态部署一个流程定义。 服务类
 *
 * @author lzp
 * @since 2024-08-02
 */
public interface IProcessDefService extends IService<ProcessDefEntity> {


	ProcessDefDTO getProcessForm(String id);

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param processDef
	 * @return
	 */
	IPage<ProcessDefVO> selectProcessDefPage(IPage<ProcessDefVO> page, ProcessDefVO processDef);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ProcessDefExcel> exportProcessDef(Wrapper<ProcessDefEntity> queryWrapper);


	R saveProcessDef(AddProcessVo req);

	R updateProcessDef(AddProcessVo req);

	List<ProcessFormEntity>	 findFromDefList();

	boolean changeProcessStatus(String id,String type);

	String findUserProcess(String formId);

}
