/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefLatestEntity;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessDefLatestVO;
import org.springblade.modules.flowable.processForm.excel.ProcessDefLatestExcel;
import org.springblade.modules.flowable.processForm.mapper.ProcessDefLatestMapper;
import org.springblade.modules.flowable.processForm.service.IProcessDefLatestService;
import org.springblade.modules.operation.pojo.entity.OperationSiteEntity;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 流程定义模板，flowable流程定义根据该模板动态部署一个流程定义。 服务实现类
 *
 * @author lzp
 * @since 2024-08-02
 */
@Service
public class ProcessDefLatestServiceImpl extends ServiceImpl<ProcessDefLatestMapper, ProcessDefLatestEntity> implements IProcessDefLatestService {

	@Override
	public IPage<ProcessDefLatestVO> selectProcessDefLatestPage(IPage<ProcessDefLatestVO> page, ProcessDefLatestVO processDefLatest) {
		return page.setRecords(baseMapper.selectProcessDefLatestPage(page, processDefLatest));
	}

	ProcessDefLatestVO findDefLatesByFormId(String formId){
		return baseMapper.findDefLatesByFormId(formId);
	}

	ProcessDefLatestEntity findProcessDefLatest(String keyValue){
		return baseMapper.selectOne(Wrappers.<ProcessDefLatestEntity>query().lambda().eq(ProcessDefLatestEntity::getKeyValue,keyValue));
	}

}
