/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessFormEntity;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessFormVO;
import org.springblade.modules.flowable.processForm.mapper.ProcessFormMapper;
import org.springblade.modules.flowable.processForm.service.IProcessFormService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 流程表单 服务实现类
 *
 * @author lzp
 * @since 2024-08-02
 */
@Service
public class ProcessFormServiceImpl extends ServiceImpl<ProcessFormMapper, ProcessFormEntity> implements IProcessFormService {

	@Override
	public IPage<ProcessFormVO> selectProcessFormPage(IPage<ProcessFormVO> page, ProcessFormVO processForm) {
		return page.setRecords(baseMapper.selectProcessFormPage(page, processForm));
	}


	@Override
	public List<ProcessFormEntity> findFromDefList() {
		List<ProcessFormEntity> processFormList = baseMapper.findFromDefList();

		return processFormList;
	}

}
