/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.material.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.material.pojo.entity.MaterialOutboundEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.system.pojo.entity.User;

import java.io.Serial;

/**
 * 出库明细 视图实体类
 *
 * @author cswang
 * @since 2024-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MaterialOutboundVO extends MaterialOutboundEntity {
	@Serial
	private static final long serialVersionUID = 1L;

	private String createName;
	private String allowName;
	@Schema(description = "工单编号")
	private String orderNumber;

	@Schema(description = "电站编号")
	private String powerStationCode;
	@Schema(description = "安装地址")
	private String address;

	@Schema(description = "业主名称")
	private String customerName;

	@Schema(description = "运营商名称")
	private String siteName;
}
