package org.springblade.modules.material.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.material.pojo.entity.MaterialOperationEntity;
import org.springblade.modules.material.pojo.vo.MaterialOperationVO;
import org.springblade.modules.material.excel.MaterialOperationExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 运维商库存 服务类
 *
 * @author cswang
 * @since 2024-08-25
 */
public interface IMaterialOperationService extends BaseService<MaterialOperationEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param materialOperation
	 * @return
	 */
	IPage<MaterialOperationVO> selectMaterialOperationPage(IPage<MaterialOperationVO> page, MaterialOperationVO materialOperation);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MaterialOperationExcel> exportMaterialOperation(Wrapper<MaterialOperationEntity> queryWrapper);

}
