/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 设备管理 Excel实体类
 *
 * @author AlexWang
 * @since 2024-05-31
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class DeviceExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 所属电站ID
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属电站ID")
	private Long stationId;
	/**
	 * 内部设备ID
	 */
	@ColumnWidth(20)
	@ExcelProperty("内部设备ID")
	private String innerDeviceId;
	/**
	 * 外部逆变器ID
	 */
	@ColumnWidth(20)
	@ExcelProperty("外部逆变器ID")
	private String outDeviceId;
	/**
	 * 设备品牌0：锦狼，1.aiswei 2.goodwe
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备品牌0：锦狼，1.aiswei 2.goodwe")
	private String brand;
	/**
	 * 设备类型（1、逆变器2、通讯棒）
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备类型（1、逆变器2、通讯棒）")
	private Integer type;
	/**
	 * 设备名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备名称")
	private String name;
	/**
	 * 设备型号
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备型号")
	private String mods;
	/**
	 * 设备sn码
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备sn码")
	private String sn;
	/**
	 * 设备条码
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备条码")
	private Long barCode;
	/**
	 * 质保状态（1、在保 0过保）
	 */
	@ColumnWidth(20)
	@ExcelProperty("质保状态（1、在保 0过保）")
	private Integer warrantyFlag;
	/**
	 * 质保到期时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("质保到期时间")
	private Date warrantyExpires;
	/**
	 * 错误码
	 */
	@ColumnWidth(20)
	@ExcelProperty("错误码")
	private String faultCode;
	/**
	 * 创建时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("创建时间")
	private Date createdTime;
	/**
	 * 更新时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("更新时间")
	private Date updatedTime;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
