package org.springblade.modules.nh.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;


/**
 * 低效电站设置 Excel实体类
 *
 * @author AlexWang
 * @since 2024-06-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class InefficientSettingExcel implements Serializable {

	/**
	 * 资方名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("资方名称")
	private String capitalName;

	/**
	 * 方案类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("方案类型")
	private String planTypeStr;

	/**
	 * 备案方式
	 */
	@ColumnWidth(20)
	@ExcelProperty("备案方式")
	private String recordTypeStr;

//	/**
//	 * 方案名称
//	 */
//	@ColumnWidth(20)
//	@ExcelProperty("客户类型")
//	private String customerTypeStr;

	/**
	 * 省份
	 */
	@ColumnWidth(20)
	@ExcelProperty("省份")
	private String province;
	/**
	 * 多个城市
	 */
	@ColumnWidth(20)
	@ExcelProperty("城市")
	private String citys;

//	/**
//	 * 打点位置
//	 */
//	@ColumnWidth(20)
//	@ExcelProperty("打点位置")
//	private String dotPosition;
	/**
	 * 1月
	 */
	@ColumnWidth(20)
	@ExcelProperty("1月")
	private Double guardHourM1;
	/**
	 * 2月
	 */
	@ColumnWidth(20)
	@ExcelProperty("2月")
	private Double guardHourM2;
	/**
	 * 3月
	 */
	@ColumnWidth(20)
	@ExcelProperty("3月")
	private Double guardHourM3;
	/**
	 * 4月
	 */
	@ColumnWidth(20)
	@ExcelProperty("4月")
	private Double guardHourM4;
	/**
	 * 5月
	 */
	@ColumnWidth(20)
	@ExcelProperty("5月")
	private Double guardHourM5;
	/**
	 * 6月
	 */
	@ColumnWidth(20)
	@ExcelProperty("6月")
	private Double guardHourM6;
	/**
	 * 7月
	 */
	@ColumnWidth(20)
	@ExcelProperty("7月")
	private Double guardHourM7;
	/**
	 * 8月
	 */
	@ColumnWidth(20)
	@ExcelProperty("8月")
	private Double guardHourM8;
	/**
	 * 9月
	 */
	@ColumnWidth(20)
	@ExcelProperty("9月")
	private Double guardHourM9;
	/**
	 * 10月
	 */
	@ColumnWidth(20)
	@ExcelProperty("10月")
	private Double guardHourM10;
	/**
	 * 11月
	 */
	@ColumnWidth(20)
	@ExcelProperty("11月")
	private Double guardHourM11;
	/**
	 * 12月
	 */
	@ColumnWidth(20)
	@ExcelProperty("12月")
	private Double guardHourM12;


}
