/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 电站月统计数据 Excel实体类
 *
 * @author AlexWang
 * @since 2024-06-02
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MonitorEntryMonthStatExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 电站id
	 */
	@ColumnWidth(20)
	@ExcelProperty("电站id")
	private String outStationId;
	/**
	 * 统计日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("统计日期")
	private Date statDate;
	/**
	 * 能量 kw
	 */
	@ColumnWidth(20)
	@ExcelProperty("能量 kw")
	private Double energy;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Long stationId;

}
