/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import lombok.Data;

import java.lang.Double;
import java.lang.Boolean;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 外部电站同步 Excel实体类
 *
 * @author AlexWang
 * @since 2024-06-01
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MonitorEntryStatExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 外部系统电站id
	 */
	@ColumnWidth(20)
	@ExcelProperty("外部系统电站id")
	private String outStationId;
	/**
	 * 系统电站id
	 */
	@ColumnWidth(20)
	@ExcelProperty("系统电站id")
	private Long stationId;
	/**
	 * 电站名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("电站名称")
	private String stationName;
	/**
	 * 装机容量kWp
	 */
	@ColumnWidth(20)
	@ExcelProperty("装机容量kWp")
	private Double capacity;
	/**
	 * 功率
	 */
	@ColumnWidth(20)
	@ExcelProperty("功率")
	private Double power;
	/**
	 * 0.锦浪 1，爱士惟，2：goodwe，3：古瑞瓦特
	 */
	@ColumnWidth(20)
	@ExcelProperty("0.锦浪 1，爱士惟，2：goodwe，3：古瑞瓦特")
	private Boolean type;
	/**
	 * 当日能量kw
	 */
	@ColumnWidth(20)
	@ExcelProperty("当日能量kw")
	private Double etd;
	/**
	 * 当月能量kw
	 */
	@ColumnWidth(20)
	@ExcelProperty("当月能量kw")
	private Double etm;
	/**
	 * 当年能量kw
	 */
	@ColumnWidth(20)
	@ExcelProperty("当年能量kw")
	private Double ety;
	/**
	 * 总能量kw
	 */
	@ColumnWidth(20)
	@ExcelProperty("总能量kw")
	private Double eta;
	/**
	 * 满发小时数(应该是当天的满发小时数)
	 */
	@ColumnWidth(20)
	@ExcelProperty("满发小时数(应该是当天的满发小时数)")
	private Double fullHour;
	/**
	 * 电站状态:1 = 在线,2 = 离线,3 = 报警
	 */
	@ColumnWidth(20)
	@ExcelProperty("电站状态:1 = 在线,2 = 离线,3 = 报警")
	private Integer state;
	/**
	 * 同步采集时间，并非当前时间，可能是之前的时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("同步采集时间，并非当前时间，可能是之前的时间")
	private Date syncTime;

}
