/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import lombok.Data;

import java.lang.Double;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 厂家逆变器表 Excel实体类
 *
 * @author AlexWang
 * @since 2024-06-02
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MonitorInverterStatExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 逆变器sn
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器sn")
	private String sn;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Long inverterId;
	/**
	 * 外部逆变器id
	 */
	@ColumnWidth(20)
	@ExcelProperty("外部逆变器id")
	private String outInverterId;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Long stationId;
	/**
	 * 外部电站id
	 */
	@ColumnWidth(20)
	@ExcelProperty("外部电站id")
	private String outStationId;
	/**
	 * 当日发电量
	 */
	@ColumnWidth(20)
	@ExcelProperty("当日发电量")
	private Double etd;
	/**
	 * 当月发电量
	 */
	@ColumnWidth(20)
	@ExcelProperty("当月发电量")
	private Double etm;
	/**
	 * 累计发电量
	 */
	@ColumnWidth(20)
	@ExcelProperty("累计发电量")
	private Double eto;
	/**
	 * 当年发电量
	 */
	@ColumnWidth(20)
	@ExcelProperty("当年发电量")
	private Double ety;
	/**
	 * 更新时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("更新时间")
	private Date syncTime;
	/**
	 * 实时功率（交流）
	 */
	@ColumnWidth(20)
	@ExcelProperty("实时功率（交流）")
	private Double pac;
	/**
	 * 发电小时数？（满发？）
	 */
	@ColumnWidth(20)
	@ExcelProperty("发电小时数？（满发？）")
	private Double pwHour;
	/**
	 * 实际安装功率？
	 */
	@ColumnWidth(20)
	@ExcelProperty("实际安装功率？")
	private Double realPower;
	/**
	 * 装机容量
	 */
	@ColumnWidth(20)
	@ExcelProperty("装机容量")
	private Double power;
	/**
	 * 1.在线 2.离线，3.报警,4.缓存（这是aiswei独有）
	 */
	@ColumnWidth(20)
	@ExcelProperty("1.在线 2.离线，3.报警,4.缓存（这是aiswei独有）")
	private Integer state;
	/**
	 * 满发小时数
	 */
	@ColumnWidth(20)
	@ExcelProperty("满发小时数")
	private Double fullHour;
	/**
	 * 累计满发小时数...取不到
	 */
	@ColumnWidth(20)
	@ExcelProperty("累计满发小时数...取不到")
	private Double totalFullHour;
	/**
	 * 质保结束时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("质保结束时间")
	private Date updateShelfEndTime;
	/**
	 * 直流功率,单位va
	 */
	@ColumnWidth(20)
	@ExcelProperty("直流功率,单位va")
	private Double dcPac;
	/**
	 * 采集器sn
	 */
	@ColumnWidth(20)
	@ExcelProperty("采集器sn")
	private String collectorSn;
	/**
	 * 型号
	 */
	@ColumnWidth(20)
	@ExcelProperty("型号")
	private String model;
	/**
	 * 电网频率hz
	 */
	@ColumnWidth(20)
	@ExcelProperty("电网频率hz")
	private Double fac;
	/**
	 * 逆变器温度
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器温度")
	private Double temperature;
	/**
	 * 逆变器名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器名称")
	private String name;
	/**
	 * 逆变器无功功率
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器无功功率")
	private Double reactivePower;
	/**
	 * 逆变器视在功率
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器视在功率")
	private Double apparentPower;
	/**
	 * 产品型号
	 */
	@ColumnWidth(20)
	@ExcelProperty("产品型号")
	private String productModel;
	/**
	 * 逆变器无功功率单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器无功功率单位")
	private String reactivePowerStr;
	/**
	 * 逆变器视在功率单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器视在功率单位")
	private String apparentPowerStr;
	/**
	 * 满发小时数单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("满发小时数单位")
	private String fullHourStr;
	/**
	 * 0：锦狼，1.aiswei 2.goodwe
	 */
	@ColumnWidth(20)
	@ExcelProperty("0：锦狼，1.aiswei 2.goodwe")
	private String sysType;

}
