package org.springblade.modules.nh.factory.ginlong.dto.inverterdetaillist;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class GetInverterDetailR {
	private int vendorIndex;
	/**
	 * 逆变器 id
	 */
	private String id;
	/**
	 * 逆变器 SN
	 */
	private String sn;
	/**
	 * 电站 id
	 */
	private String stationId;
	/**
	 * 软件版本
	 */
	private String version;
	/**
	 * 逆变器名称
	 */
	private String name;
	/**
	 * 产品型号
	 */
	private String productModel;
	/**
	 * 电站名称
	 */
	private String stationName;
	/**
	 * 采集器id
	 */
	private String collectorId;
	/**
	 * 更新时间
	 */
	private Long dataTimestamp;
	@JsonProperty("eToday")
	private double eToday;
	@JsonProperty("eMonth")
	private double eMonth;
	@JsonProperty("eYear")
	private double eYear;
	@JsonProperty("eTotal")
	private double eTotal;
	@JsonProperty("eTodayStr")
	private String eTodayStr;
	@JsonProperty("eMonthStr")
	private String eMonthStr;
	@JsonProperty("eYearStr")
	private String eYearStr;
	@JsonProperty("eTotalStr")
	private String eTotalStr;
	/**
	 * 频率
	 */
	private Double fac;
	/**
	 * 电网频率单位
	 */
	private String facStr;
	/**
	 * 实时功率
	 */
	private Double pac;
	/**
	 * 实时功率单位
	 */
	private String pacStr;
	/**
	 * 采集器 SN
	 */
	private String collectorsn;
	/**
	 * 装机容量
	 */
	private Double power;
	/**
	 * 装机容量单位
	 */
	private String powerStr;
	/**
	 * 逆变器状态:
	 * 1 = 在线
	 * 2 = 离线
	 * 3 = 报警
	 */
	private Integer state;
	/**
	 * 采集器状态:1 = 在线,2 = 离线
	 */
	private Integer collectorState;
	/**
	 * 电网总有功功率
	 */
	private Double pSum;
	/**
	 * 电网总有功功率单位
	 */
	private String pSumStr;
	/**
	 * 逆变器Model
	 */
	private String model;
	/**
	 * 逆变器类型:1 = 并网,2 = 储能机
	 */
	private int type;
	/**
	 * 逆变器离线状态:
	 * 0 = 正常离线
	 * 1 = 异常离线
	 */
	private int stateExceptionFlag;
	/**
	 * 警告信息故障数据
	 */
	private int warningInfoData;
	/**
	 * 满发小时数
	 */
	private Double fullHour;
	private String fullHourStr;
	/**
	 * 累计满发小时数
	 */
	private Double totalFullHour;
	/**
	 * 质保结束时间
	 */
	private Long updateShelfEndTime;

	/**
	 * 功率因素
	 */
	private Double powerFactor;

	private Double pow1;
	private Double pow2;
	private Double pow3;
	private Double pow4;
	private Double pow5;
	private Double pow6;
	private Double pow7;
	private Double pow8;
	private Double pow9;
	private Double pow10;
	private Double pow11;
	private Double pow12;
	private Double pow13;
	private Double pow14;
	private Double pow15;
	private Double pow16;
	private Double pow17;
	private Double pow18;
	private Double pow19;
	private Double pow20;
	private Double pow21;
	private Double pow22;
	private Double pow23;
	private Double pow24;
	private Double pow25;
	private Double pow26;
	private Double pow27;
	private Double pow28;
	private Double pow29;
	private Double pow30;
	private Double pow31;
	private Double pow32;

	private String pow1Str;
	private String pow2Str;
	private String pow3Str;
	private String pow4Str;
	private String pow5Str;
	private String pow6Str;
	private String pow7Str;
	private String pow8Str;
	private String pow9Str;
	private String pow10Str;
	private String pow11Str;
	private String pow12Str;
	private String pow13Str;
	private String pow14Str;
	private String pow15Str;
	private String pow16Str;
	private String pow17Str;
	private String pow18Str;
	private String pow19Str;
	private String pow20Str;
	private String pow21Str;
	private String pow22Str;
	private String pow23Str;
	private String pow24Str;
	private String pow25Str;
	private String pow26Str;
	private String pow27Str;
	private String pow28Str;
	private String pow29Str;
	private String pow30Str;
	private String pow31Str;
	private String pow32Str;

	/**
	 * 逆变器总直流输入功率
	 */
	private Double dcPac;
	private String dcPacStr;
	private Double inverterTemperature;
	/**
	 * 逆变器视在功率
	 */
	private Double apparentPower;
	private String apparentPowerStr;
	/**
	 * 逆变器无功功率
	 */
	private Double reactivePower;
	private String reactivePowerStr;

	@JsonProperty("iAc1")
	private Double iAc1; // Number N 交流电流R
	@JsonProperty("iAc2")
	private Double iAc2; // Number N 交流电流S
	@JsonProperty("iAc3")
	private Double iAc3; // Number N 交流电流T

	@JsonProperty("uAc1")
	private Double uAc1; // Number N 交流电压R
	@JsonProperty("uAc2")
	private Double uAc2; // Number N 交流电压S
	@JsonProperty("uAc3")
	private Double uAc3; // Number N 交流电压T

	@JsonProperty("iPv1")
	private Double iPv1;
	@JsonProperty("iPv2")
	private Double iPv2;
	@JsonProperty("iPv3")
	private Double iPv3;
	@JsonProperty("iPv4")
	private Double iPv4;
	@JsonProperty("iPv5")
	private Double iPv5;
	@JsonProperty("iPv6")
	private Double iPv6;
	@JsonProperty("iPv7")
	private Double iPv7;
	@JsonProperty("iPv8")
	private Double iPv8;
	@JsonProperty("iPv9")
	private Double iPv9;
	@JsonProperty("iPv10")
	private Double iPv10;
	@JsonProperty("iPv11")
	private Double iPv11;
	@JsonProperty("iPv12")
	private Double iPv12;
	@JsonProperty("iPv13")
	private Double iPv13;
	@JsonProperty("iPv14")
	private Double iPv14;
	@JsonProperty("iPv15")
	private Double iPv15;
	@JsonProperty("iPv16")
	private Double iPv16;
	@JsonProperty("iPv17")
	private Double iPv17;
	@JsonProperty("iPv18")
	private Double iPv18;
	@JsonProperty("iPv19")
	private Double iPv19;
	@JsonProperty("iPv20")
	private Double iPv20;
	@JsonProperty("iPv21")
	private Double iPv21;
	@JsonProperty("iPv22")
	private Double iPv22;
	@JsonProperty("iPv23")
	private Double iPv23;
	@JsonProperty("iPv24")
	private Double iPv24;
	@JsonProperty("iPv25")
	private Double iPv25;
	@JsonProperty("iPv26")
	private Double iPv26;
	@JsonProperty("iPv27")
	private Double iPv27;
	@JsonProperty("iPv28")
	private Double iPv28;
	@JsonProperty("iPv29")
	private Double iPv29;
	@JsonProperty("iPv30")
	private Double iPv30;
	@JsonProperty("iPv31")
	private Double iPv31;
	@JsonProperty("iPv32")
	private Double iPv32;

	@JsonProperty("uPv1")
	private Double uPv1;
	@JsonProperty("uPv2")
	private Double uPv2;
	@JsonProperty("uPv3")
	private Double uPv3;
	@JsonProperty("uPv4")
	private Double uPv4;
	@JsonProperty("uPv5")
	private Double uPv5;
	@JsonProperty("uPv6")
	private Double uPv6;
	@JsonProperty("uPv7")
	private Double uPv7;
	@JsonProperty("uPv8")
	private Double uPv8;
	@JsonProperty("uPv9")
	private Double uPv9;
	@JsonProperty("uPv10")
	private Double uPv10;
	@JsonProperty("uPv11")
	private Double uPv11;
	@JsonProperty("uPv12")
	private Double uPv12;
	@JsonProperty("uPv13")
	private Double uPv13;
	@JsonProperty("uPv14")
	private Double uPv14;
	@JsonProperty("uPv15")
	private Double uPv15;
	@JsonProperty("uPv16")
	private Double uPv16;
	@JsonProperty("uPv17")
	private Double uPv17;
	@JsonProperty("uPv18")
	private Double uPv18;
	@JsonProperty("uPv19")
	private Double uPv19;
	@JsonProperty("uPv20")
	private Double uPv20;
	@JsonProperty("uPv21")
	private Double uPv21;
	@JsonProperty("uPv22")
	private Double uPv22;
	@JsonProperty("uPv23")
	private Double uPv23;
	@JsonProperty("uPv24")
	private Double uPv24;
	@JsonProperty("uPv25")
	private Double uPv25;
	@JsonProperty("uPv26")
	private Double uPv26;
	@JsonProperty("uPv27")
	private Double uPv27;
	@JsonProperty("uPv28")
	private Double uPv28;
	@JsonProperty("uPv29")
	private Double uPv29;
	@JsonProperty("uPv30")
	private Double uPv30;
	@JsonProperty("uPv31")
	private Double uPv31;
	@JsonProperty("uPv32")
	private Double uPv32;
}
