/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.mapper;

import org.springblade.modules.nh.pojo.entity.InverterDataEntity;
import org.springblade.modules.nh.pojo.vo.InverterDataVO;
import org.springblade.modules.nh.excel.InverterDataExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 逆变器数据表 Mapper 接口
 *
 * @author AlexWang
 * @since 2024-05-31
 */
public interface InverterDataMapper extends BaseMapper<InverterDataEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inverterData
	 * @return
	 */
	List<InverterDataVO> selectInverterDataPage(IPage page, InverterDataVO inverterData);

	List<InverterDataVO> queryForYXList(IPage page,@Param("startTime")String startTime, @Param("endTime")String endTime);

	void updateDataFromInverterStat();

	void updateDeviceStateFromInverterStat();

	void updateTxbOutStationId();


	Double sumPacByStationId(@Param("stationId")Long stationId);
	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<InverterDataExcel> exportInverterData(@Param("ew") Wrapper<InverterDataEntity> queryWrapper);

	void updateDataFromInverterStatByOutInverterId(@Param("outDeviceId") String outDeviceId);
}
