/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.mapper;

import org.springblade.modules.nh.pojo.entity.MonitorEntryMonthStatEntity;
import org.springblade.modules.nh.pojo.vo.MonitorEntryMonthStatVO;
import org.springblade.modules.nh.excel.MonitorEntryMonthStatExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 电站月统计数据 Mapper 接口
 *
 * @author AlexWang
 * @since 2024-06-02
 */
public interface MonitorEntryMonthStatMapper extends BaseMapper<MonitorEntryMonthStatEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param monitorEntryMonthStat
	 * @return
	 */
	List<MonitorEntryMonthStatVO> selectMonitorEntryMonthStatPage(IPage page, MonitorEntryMonthStatVO monitorEntryMonthStat);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MonitorEntryMonthStatExcel> exportMonitorEntryMonthStat(@Param("ew") Wrapper<MonitorEntryMonthStatEntity> queryWrapper);

	List<Map<String, Object>> overviewMonthStatic(@Param("stationId") Long stationId,@Param("outStationIds") List<String> outStationIds, @Param("statDate") String statDate,@Param("traderId") String traderId);

	List<Map<String, Object>>  overviewLastDays(@Param("outStationIds") List<String> outStationIds,@Param("days") Integer days);

	List<Map<String, Object>> overviewLast7Days(@Param("stationId") Long stationId,@Param("outStationIds") List<String> outStationIds,@Param("traderId") String traderId);

	Double sumLast7DaysEnergy(@Param("outStationIds") List<String> outStationIds);

	Double sumEnergy(@Param("outStationIds") List<String> outStationIds, @Param("start")Date start, @Param("end")Date end);
}
