/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.nh.pojo.entity.DeviceEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.math.BigDecimal;

/**
 * 设备管理 数据传输对象实体类
 *
 * @author AlexWang
 * @since 2024-05-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DeviceDTO extends DeviceEntity {
	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 输出功率
	 */
	@Schema(description = "输出功率")
	private BigDecimal pac;

	@Schema(description = "直流发电功率")
	private BigDecimal dcPac;

	/**
	 * 实际安装功率
	 */
	@Schema(description = "实际安装功率")
	private BigDecimal realPower;

	/**
	 * 装机容量
	 */
	@Schema(description = "装机容量")
	private BigDecimal power;

	/**
	 * 采集器SN
	 */
	@Schema(description = "采集器SN")
	private String collectorSn;

}
