/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.springblade.core.mp.base.BaseEntity;

import java.io.Serializable;

/**
 * 故障代码 实体类
 *
 * @author AlexWang
 * @since 2024-06-06
 */
@Data
@TableName("nh_alarm_code")
@Schema(description = "AlarmCode对象")
public class AlarmCodeEntity extends BaseEntity {

	/**
	 * 故障品牌
	 */
	@Schema(description = "故障品牌")
	private String brand;
	/**
	 * 故障主代码
	 */
	@Schema(description = "故障主代码")
	private String code;
	/**
	 * 子代码
	 */
	@Schema(description = "子代码")
	private String subCode;

	/**
	 * 故障主代码
	 */
	@Schema(description = "故障原因")
	private String reason;
	/**
	 * 故障内容
	 */
	@Schema(description = "故障内容")
	private String content;
	/**
	 * 处理建议
	 */
	@Schema(description = "处理建议")
	private String suggestion;
	/**
	 * 故障等级
	 */
	@Schema(description = "故障等级")
	private Integer level;

}
