package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("nh_device_msg")
@Schema(description = "DeviceMsg对象")
public class DeviceMsgEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "主键")
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 所属电站ID
	 */
	@Schema(description = "所属电站ID")
	private Long stationId;

	/**
	 * 设备ID
	 */
	@Schema(description = "设备ID")
	private Long deviceId;

	@Schema(description = "过程信息")
	private String msgContent;


	@Schema(description = "更新人")
	private String updateName;

	@Schema(description = "更新时间")
	private Date updateTime;

}
