package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import java.lang.Double;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import java.io.Serializable;

/**
 * 逆变器电流电压功率数据 实体类
 *
 * @author AlexWang
 * @since 2024-11-21
 */
@Data
@TableName("nh_inverter_uap")
@Schema(description = "InverterUap对象")
public class InverterUapEntity implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "主键")
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 逆变器sn
	 */
	@Schema(description = "逆变器sn")
	private String sn;
	/**
	 * 外部逆变器id
	 */
	@Schema(description = "外部逆变器id")
	private String outInverterId;
	/**
	 * 外部电站id
	 */
	@Schema(description = "外部电站id")
	private String outStationId;
	/**
	 * 0：锦狼，1.aiswei 2.goodwe
	 */
	@Schema(description = "0：锦狼，1.aiswei 2.goodwe")
	private String sysType;
	/**
	 * 1直流  2交流
	 */
	@Schema(description = "1直流  2交流")
	private String type;
	/**
	 * 统计时间，一个小时一条,格式：2024-10-10 12:00:00
	 */
	@Schema(description = "统计时间，一个小时一条,格式：2024-10-10 12:00:00")
	private Date stateTime;
	private Date createTime;
	/**
	 * 电压
	 */
	@Schema(description = "电压")
	private Double uv1;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv2;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv3;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv4;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv5;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv6;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv7;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv8;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv9;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv10;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv11;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv12;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv13;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv14;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv15;
	/**
	 *
	 */
	@Schema(description = "")
	private Double uv16;
	/**
	 * 电流
	 */
	@Schema(description = "电流")
	private Double ia1;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia2;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia3;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia4;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia5;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia6;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia7;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia8;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia9;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia10;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia11;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia12;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia13;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia14;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia15;
	/**
	 *
	 */
	@Schema(description = "")
	private Double ia16;
	/**
	 * 功率
	 */
	@Schema(description = "功率")
	private Double p1;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p2;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p3;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p4;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p5;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p6;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p7;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p8;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p9;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p10;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p11;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p12;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p13;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p14;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p15;
	/**
	 *
	 */
	@Schema(description = "")
	private Double p16;

}
