/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 电站日统计数据 实体类
 *
 * @author AlexWang
 * @since 2024-06-02
 */
@Data
@TableName("nh_monitor_entry_daily_stat")
@Schema(description = "MonitorEntryDailyStat对象")
public class MonitorEntryDailyStatEntity implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "主键")
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 数据采集时间
	 */
	@Schema(description = "数据采集时间")
	private Date syncTime;
	private Date createTime;
	private Date updateTime;
	/**
	 * 0.锦浪 1，艾士唯，2：goodwe
	 */
	@Schema(description = "0.锦浪 1，艾士唯，2：goodwe")
	private String sysType;
	/**
	 * 日期
	 */
	@Schema(description = "日期")
	private Date statDate;
	/**
	 * 外部电站id
	 */
	@Schema(description = "外部电站id")
	private String outStationId;
	/**
	 *
	 */
	@Schema(description = "")
	private Long stationId;
	/**
	 * 0时电量kwh
	 */
	@Schema(description = "0时电量kwh")
	private Double h24;
	/**
	 * 1时电量kwh
	 */
	@Schema(description = "1时电量kwh")
	private Double h01;
	/**
	 * 2时电量kwh
	 */
	@Schema(description = "2时电量kwh")
	private Double h02;
	/**
	 * 3时电量kwh
	 */
	@Schema(description = "3时电量kwh")
	private Double h03;
	/**
	 * 4时电量kwh
	 */
	@Schema(description = "4时电量kwh")
	private Double h04;
	/**
	 * 5时电量kwh
	 */
	@Schema(description = "5时电量kwh")
	private Double h05;
	/**
	 * 6时电量kwh
	 */
	@Schema(description = "6时电量kwh")
	private Double h06;
	/**
	 * 7时电量kwh
	 */
	@Schema(description = "7时电量kwh")
	private Double h07;
	/**
	 * 8时电量kwh
	 */
	@Schema(description = "8时电量kwh")
	private Double h08;
	/**
	 * 9时电量kwh
	 */
	@Schema(description = "9时电量kwh")
	private Double h09;
	/**
	 * 10时电量kwh
	 */
	@Schema(description = "10时电量kwh")
	private Double h10;
	/**
	 * 11时电量kwh
	 */
	@Schema(description = "11时电量kwh")
	private Double h11;
	/**
	 * 12时电量kwh
	 */
	@Schema(description = "12时电量kwh")
	private Double h12;
	/**
	 * 13时电量kwh
	 */
	@Schema(description = "13时电量kwh")
	private Double h13;
	/**
	 * 14时电量kwh
	 */
	@Schema(description = "14时电量kwh")
	private Double h14;
	/**
	 * 15时电量kwh
	 */
	@Schema(description = "15时电量kwh")
	private Double h15;
	/**
	 * 16时电量kwh
	 */
	@Schema(description = "16时电量kwh")
	private Double h16;
	/**
	 * 17时电量kwh
	 */
	@Schema(description = "17时电量kwh")
	private Double h17;
	/**
	 * 18时电量kwh
	 */
	@Schema(description = "18时电量kwh")
	private Double h18;
	/**
	 * 19时电量kwh
	 */
	@Schema(description = "19时电量kwh")
	private Double h19;
	/**
	 * 20时电量kwh
	 */
	@Schema(description = "20时电量kwh")
	private Double h20;
	/**
	 * 21时电量kwh
	 */
	@Schema(description = "21时电量kwh")
	private Double h21;
	/**
	 * 22时电量kwh
	 */
	@Schema(description = "22时电量kwh")
	private Double h22;
	/**
	 * 23时电量kwh
	 */
	@Schema(description = "23时电量kwh")
	private Double h23;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl00;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl01;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl02;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl03;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl04;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl05;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl06;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl07;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl08;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl09;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl10;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl11;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl12;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl13;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl14;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl15;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl16;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl17;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl18;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl19;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl20;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl21;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl22;
	/**
	 * 00交流功率
	 */
	@Schema(description = "00交流功率")
	private Double jlgl23;

}
