/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 厂家逆变器表 实体类
 *
 * @author AlexWang
 * @since 2024-06-02
 */
@Data
@TableName("nh_monitor_inverter_stat")
@Schema(description = "MonitorInverterStat对象")
public class MonitorInverterStatEntity implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "主键")
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 逆变器sn
	 */
	@Schema(description = "逆变器sn")
	private String sn;
	/**
	 *
	 */
	@Schema(description = "")
	private Long inverterId;
	/**
	 * 外部逆变器id
	 */
	@Schema(description = "外部逆变器id")
	private String outInverterId;
	/**
	 *
	 */
	@Schema(description = "")
	private Long stationId;
	/**
	 * 外部电站id
	 */
	@Schema(description = "外部电站id")
	private String outStationId;
	/**
	 * 当日发电量
	 */
	@Schema(description = "当日发电量")
	private Double etd;
	/**
	 * 当月发电量
	 */
	@Schema(description = "当月发电量")
	private Double etm;
	/**
	 * 累计发电量
	 */
	@Schema(description = "累计发电量")
	private Double eto;
	/**
	 * 当年发电量
	 */
	@Schema(description = "当年发电量")
	private Double ety;
	/**
	 * 更新时间
	 */
	@Schema(description = "同部时间")
	private Date syncTime;

	/**
	 * 更新时间
	 */
	@Schema(description = "创建时间")
	private Date createTime;
	/**
	 * 更新时间
	 */
	@Schema(description = "更新时间")
	private Date updateTime;
	/**
	 * 实时功率（交流）
	 */
	@Schema(description = "实时功率（交流）")
	private Double pac;
	/**
	 * 发电小时数？（满发？）
	 */
	@Schema(description = "发电小时数？（满发？）")
	private Double pwHour;
	/**
	 * 实际安装功率？
	 */
	@Schema(description = "实际安装功率？")
	private Double realPower;
	/**
	 * 装机容量
	 */
	@Schema(description = "装机容量")
	private Double power;
	/**
	 * 1.在线 2.离线，3.报警,4.缓存（这是aiswei独有）
	 */
	@Schema(description = "1.在线 2.离线，3.报警,4.缓存（这是aiswei独有）")
	private Integer state;
	/**
	 * 满发小时数
	 */
	@Schema(description = "满发小时数")
	private Double fullHour;
	/**
	 * 累计满发小时数...取不到
	 */
	@Schema(description = "累计满发小时数...取不到")
	private Double totalFullHour;
	/**
	 * 质保结束时间
	 */
	@Schema(description = "质保结束时间")
	private Date updateShelfEndTime;
	/**
	 * 直流功率,单位va
	 */
	@Schema(description = "直流功率,单位va")
	private Double dcPac;
	/**
	 * 采集器sn
	 */
	@Schema(description = "采集器sn")
	private String collectorSn;
	/**
	 * 型号
	 */
	@Schema(description = "型号")
	private String model;
	/**
	 * 电网频率hz
	 */
	@Schema(description = "电网频率hz")
	private Double fac;
	/**
	 * 逆变器温度
	 */
	@Schema(description = "逆变器温度")
	private Double temperature;
	/**
	 * 逆变器名称
	 */
	@Schema(description = "逆变器名称")
	private String name;
	/**
	 * 逆变器无功功率
	 */
	@Schema(description = "逆变器无功功率")
	private Double reactivePower;
	/**
	 * 逆变器视在功率
	 */
	@Schema(description = "逆变器视在功率")
	private Double apparentPower;
	/**
	 * 产品型号
	 */
	@Schema(description = "产品型号")
	private String productModel;
	/**
	 * 逆变器无功功率单位
	 */
	@Schema(description = "逆变器无功功率单位")
	private String reactivePowerStr;
	/**
	 * 逆变器视在功率单位
	 */
	@Schema(description = "逆变器视在功率单位")
	private String apparentPowerStr;
	/**
	 * 满发小时数单位
	 */
	@Schema(description = "满发小时数单位")
	private String fullHourStr;
	/**
	 * 0：锦狼，1.aiswei 2.goodwe
	 */
	@Schema(description = "0：锦狼，1.aiswei 2.goodwe")
	private String sysType;

	private String pvModules;
	private String acModules;

	/**
	 * 功率因素
	 */
	private Double powerFactor;

	private Integer vendorIndex;

}
