/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.pojo.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.nh.pojo.entity.InefficientSettingEntity;
import org.springblade.modules.nh.pojo.entity.MonitorEntryStatEntity;
import org.springblade.modules.nh.pojo.entity.PowerStationEntity;

import java.io.Serial;
import java.util.List;

/**
 * 电站 视图实体类
 *
 * @author AlexWang
 * @since 2024-05-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class StationStaticsVO extends PowerStationEntity {
	@Serial
	private static final long serialVersionUID = 1L;

	private Integer year;

	private MonitorEntryStatEntity entryStat;

	private Double yesterdayEnergy;

//	private InefficientSettingEntity setting;
	private Double currentGuardEnergy;
	private Double currentGuardRate;

	private List<StaticsMonthVO> monthList;
}
