/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.nh.factory.aiswei.dto.getinverterdatapagepro.GetInverterDataPageProR;
import org.springblade.modules.nh.pojo.dto.open.YXInverterDataDTO;
import org.springblade.modules.nh.pojo.entity.InverterDataEntity;
import org.springblade.modules.nh.pojo.entity.MonitorInverterStatEntity;
import org.springblade.modules.nh.pojo.vo.InverterDataVO;
import org.springblade.modules.nh.excel.InverterDataExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 逆变器数据表 服务类
 *
 * @author AlexWang
 * @since 2024-05-31
 */
public interface IInverterDataService extends IService<InverterDataEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inverterData
	 * @return
	 */
	IPage<InverterDataVO> selectInverterDataPage(IPage<InverterDataVO> page, InverterDataVO inverterData);


	void updateDataFromInverterStat();

	void updateDeviceOutIds();

	void updateDataFromInverterStatByOutInverterId(@Param("outDeviceId") String outDeviceId);

	Double sumPacByStationId(Long stationId);
	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<InverterDataExcel> exportInverterData(Wrapper<InverterDataEntity> queryWrapper);


	IPage<YXInverterDataDTO> queryYXList(IPage<YXInverterDataDTO> page,String startTime, String endTime);

	void syncFromScheduler(MonitorInverterStatEntity inverterStat);

	void syncFromSchedulerList(List<MonitorInverterStatEntity> inverterStatList);

	void syncAisweiInverterDatail(List<GetInverterDataPageProR> list);

	void syncInverterIU(String outInverterId,String sn,String pvStr,String mpptStr,String uvwStr);
}
