/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.nh.factory.ginlong.dto.userstationlist.GetStationR;
import org.springblade.modules.nh.pojo.dto.MonitorEntryStatDTO;
import org.springblade.modules.nh.pojo.entity.MonitorEntryStatEntity;
import org.springblade.modules.nh.pojo.entity.PowerStationEntity;
import org.springblade.modules.nh.pojo.vo.MonitorEntryStatVO;
import org.springblade.modules.nh.excel.MonitorEntryStatExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.nh.pojo.vo.PowerStationVO;

import java.util.List;

/**
 * 外部电站同步 服务类
 *
 * @author AlexWang
 * @since 2024-06-01
 */
public interface IMonitorEntryStatService extends IService<MonitorEntryStatEntity> {

	void updateGoodweEntryMonthYearData();

	void updateEntryYearData(MonitorEntryStatEntity entryStat, int currentYear, int currentMonth);

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param monitorEntryStat
	 * @return
	 */
	IPage<MonitorEntryStatVO> selectMonitorEntryStatPage(IPage<MonitorEntryStatVO> page, MonitorEntryStatVO monitorEntryStat);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MonitorEntryStatExcel> exportMonitorEntryStat(Wrapper<MonitorEntryStatEntity> queryWrapper);

	MonitorEntryStatVO realTimeDetail(PowerStationVO vo);

	MonitorEntryStatVO getByPowerStation(PowerStationVO vo);
	MonitorEntryStatEntity getByOutId(String outId);

	void syncEntryStat(List<GetStationR> list, String sysType);

	List<String> getStationIds(@Param("sysType") String sysType);
	List<String> getStationIds(String sysType,int index);

	MonitorEntryStatEntity findByStationId(String stationId);

	void updateFisDate(String stationId, String s);

	MonitorEntryStatDTO findByOutStationIds(List<String> stationIds);

	MonitorEntryStatEntity getEntryStatInCache(String stationId);
}
