/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.nh.factory.ginlong.dto.inverterdetaillist.GetInverterDetailR;
import org.springblade.modules.nh.pojo.dto.sync.InverterHourlyEnergyDTO;
import org.springblade.modules.nh.pojo.entity.MonitorInverterDailyStatEntity;
import org.springblade.modules.nh.pojo.vo.MonitorInverterDailyStatVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import java.util.Map;

/**
 * 逆变器日数据 服务类
 *
 * @author AlexWang
 * @since 2024-06-07
 */
public interface IMonitorInverterDailyStatService extends IService<MonitorInverterDailyStatEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param monitorInverterDailyStat
	 * @return
	 */
	IPage<MonitorInverterDailyStatVO> selectMonitorInverterDailyStatPage(IPage<MonitorInverterDailyStatVO> page, MonitorInverterDailyStatVO monitorInverterDailyStat);


	/**
	 * 导出数据
	 *
	 * @return
	 */

	public Map<String, Object> getInverterGraph(String sn, String time);

	MonitorInverterDailyStatEntity findBySnAndDate(String sn, String date);

	List<MonitorInverterDailyStatEntity> findByInverterSnsAndDate(List<String> sns, String date, String sysType);

	void syncGinlongInverterForNowHour(List<GetInverterDetailR> list);

	void syncHourlyData(String sysType, List<InverterHourlyEnergyDTO> energyList);
}
