/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.nh.factory.aiswei.dto.getinverterdatapagepro.GetInverterDataPageProR;
import org.springblade.modules.nh.factory.ginlong.dto.inverterdetaillist.GetInverterDetailR;
import org.springblade.modules.nh.pojo.entity.MonitorInverterStatEntity;
import org.springblade.modules.nh.pojo.vo.MonitorInverterStatVO;
import org.springblade.modules.nh.excel.MonitorInverterStatExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import java.util.Set;

/**
 * 厂家逆变器表 服务类
 *
 * @author AlexWang
 * @since 2024-06-02
 */
public interface IMonitorInverterStatService extends IService<MonitorInverterStatEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param monitorInverterStat
	 * @return
	 */
	IPage<MonitorInverterStatVO> selectMonitorInverterStatPage(IPage<MonitorInverterStatVO> page, MonitorInverterStatVO monitorInverterStat);

	MonitorInverterStatEntity realtimeDetail(String outInverterId);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MonitorInverterStatExcel> exportMonitorInverterStat(Wrapper<MonitorInverterStatEntity> queryWrapper);

	void syncInverterDetails(List<GetInverterDetailR> list, String sysType, Set<String> updateFields);

	List<String> getSnsByStation(String outStationId);
	List<String> getInverterSns(String sysType);
	List<String> getInverterSns(String sysType,int index);

	MonitorInverterStatEntity getBySn(String sn);

	MonitorInverterStatEntity initNewInverterStat(String sysType, GetInverterDetailR inverter);
}
