package org.springblade.modules.nh.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseService;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.nh.excel.StationStaticsExcel;
import org.springblade.modules.nh.pojo.entity.PowerStationInefficientEntity;
import org.springblade.modules.nh.pojo.vo.PowerStationInefficientVO;
import org.springblade.modules.nh.excel.PowerStationInefficientExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.nh.pojo.vo.StationStaticsVO;
import org.springblade.modules.operation.pojo.entity.OperationSiteEntity;

import java.util.List;
import java.util.Map;

/**
 * 低效电站 服务类
 *
 * @author AlexWang
 * @since 2024-06-14
 */
public interface IPowerStationInefficientService extends BaseService<PowerStationInefficientEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param powerStationInefficient
	 * @return
	 */
	IPage<PowerStationInefficientVO> selectPowerStationInefficientPage(IPage<PowerStationInefficientVO> page, PowerStationInefficientVO powerStationInefficient);


	IPage<PowerStationInefficientEntity> selectAllPage(Map<String, Object> powerStationInefficient, Query query);


	/**
	 * 导出数据
	 *
	 * @param
	 * @return
	 */
	List<PowerStationInefficientExcel> exportPowerStationInefficient(Map<String, Object> powerStationInefficient);

	boolean turnMainOrder(String id);

	void fillStaticsVO(StationStaticsVO vo);

	List<StationStaticsExcel> exportStationStatics(Map<String, Object> powerStation);

	boolean updateSiteName(String entryIds, OperationSiteEntity site);

	boolean deleteSiteName(String entryIds);
}
