/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.nh.pojo.entity.AlarmInfoEntity;
import org.springblade.modules.nh.pojo.vo.AlarmInfoVO;
import java.util.Objects;

/**
 * 设备告警信息表 包装类,返回视图层所需的字段
 *
 * @author AlexWang
 * @since 2024-06-03
 */
public class AlarmInfoWrapper extends BaseEntityWrapper<AlarmInfoEntity, AlarmInfoVO>  {

	public static AlarmInfoWrapper build() {
		return new AlarmInfoWrapper();
 	}

	@Override
	public AlarmInfoVO entityVO(AlarmInfoEntity alarmInfo) {
		AlarmInfoVO alarmInfoVO = Objects.requireNonNull(BeanUtil.copyProperties(alarmInfo, AlarmInfoVO.class));

		//User createUser = UserCache.getUser(alarmInfo.getCreateUser());
		//User updateUser = UserCache.getUser(alarmInfo.getUpdateUser());
		//alarmInfoVO.setCreateUserName(createUser.getName());
		//alarmInfoVO.setUpdateUserName(updateUser.getName());

		return alarmInfoVO;
	}


}
