/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.controller;

import io.swagger.v3.oas.annotations.tags.Tag;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import lombok.AllArgsConstructor;
import jakarta.validation.Valid;

import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.Func;
import org.springblade.modules.operation.pojo.entity.AnnouncementReadinfoEntity;
import org.springblade.modules.operation.service.IAnnouncementReadinfoService;
import org.springframework.web.bind.annotation.*;
import org.springblade.core.boot.ctrl.BladeController;

/**
 * 平台通知查看明细 控制器
 *
 * @author lzp
 * @since 2024-06-25
 */
@RestController
@AllArgsConstructor
@RequestMapping("sf/announcementReadinfo")
@Tag(name = "平台通知查看明细", description = "平台通知查看明细接口")
public class AnnouncementReadinfoController extends BladeController {

	private final IAnnouncementReadinfoService readinfoService;


	/**
	 * 平台通知查看明细 新增
	 */
	@PostMapping("/save")
	@ApiOperationSupport(order = 1)
	@Operation(summary = "新增", description  = "传入platformAnnouncement")
	public R save(@Valid @RequestBody AnnouncementReadinfoEntity readinfoEntity) {
		return R.status(readinfoService.save(readinfoEntity));
	}




}
