package org.springblade.modules.operation.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class EntryPaymentTimeExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	@ExcelProperty("电站编号")
	private String stationCode;

	@ExcelProperty("投放通过时间(yyyy-MM-dd)")
	@JsonFormat(pattern ="yyyy-MM-dd")
	@JSONField(format = "yyyy-MM-dd")
	private Date paymentTime;
}
