/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 服务商员工信息表 Excel实体类
 *
 * @author lzp
 * @since 2024-06-18
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class OperationSiteEmployeeExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 对应user表记录id
	 */
	@ColumnWidth(20)
	@ExcelProperty("对应user表记录id")
	private String userId;
	/**
	 * 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("姓名")
	private String name;
	/**
	 * 手机号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("手机号码")
	private String mobile;
	/**
	 * 入职时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("入职时间")
	private Date hiredate;
	/**
	 * 1.信息员 2.工程师 3.备件员
	 */
	@ColumnWidth(20)
	@ExcelProperty("1.信息员 2.工程师 3.备件员")
	private Integer role;
	/**
	 * 服务品类
	 */
	@ColumnWidth(20)
	@ExcelProperty("服务品类")
	private String category;
	/**
	 * 创建人user_id
	 */
	@ColumnWidth(20)
	@ExcelProperty("创建人user_id")
	private String createBy;
	/**
	 * 覆盖省份,多个用逗号隔开
	 */
	@ColumnWidth(20)
	@ExcelProperty("覆盖省份,多个用逗号隔开")
	private String provinces;
	/**
	 * 服务商id
	 */
	@ColumnWidth(20)
	@ExcelProperty("服务商id")
	private String siteId;
	/**
	 * 工作年限
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作年限")
	private String years;
	/**
	 * 相关资质图片
	 */
	@ColumnWidth(20)
	@ExcelProperty("相关资质图片")
	private String licenseImg;
	/**
	 * 诚信服务二维码 0.有 1.没有
	 */
	@ColumnWidth(20)
	@ExcelProperty("诚信服务二维码 0.有 1.没有")
	private String qrcode;

}
