/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 网点基础信息表 Excel实体类
 *
 * @author lzp
 * @since 2024-06-13
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class OperationSiteExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;


	@ExcelProperty("运维商名称")
	private String name;

	@ExcelProperty("联系人")
	private String contacts;

	@ExcelProperty("添加时间")
	private Date createTime;

	@ExcelProperty("手机号码")
	private String mobile;
	@ExcelProperty("省")
	private String province;
	@ExcelProperty("市")
	private String city;
	@ExcelProperty("区县")
	private String area;
	@ExcelProperty("详细地址")
	private String address;

	@ExcelProperty("员工数量")
	private Long amount;
	@ExcelProperty("工程师数量")
	private Long empamount;
}
