/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 平台员工权限表 Excel实体类
 *
 * @author BladeX
 * @since 2024-06-27
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PlatformEmployeeExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 用户id
	 */
	@ColumnWidth(20)
	@ExcelProperty("用户id")
	private String userId;
	/**
	 * 覆盖省份，多个用逗号隔开
	 */
	@ColumnWidth(20)
	@ExcelProperty("覆盖省份，多个用逗号隔开")
	private String provices;
	/**
	 * 覆盖市，多个用逗号隔开
	 */
	@ColumnWidth(20)
	@ExcelProperty("覆盖市，多个用逗号隔开")
	private String city;
	/**
	 * 覆盖区县，多个用逗号隔开
	 */
	@ColumnWidth(20)
	@ExcelProperty("覆盖区县，多个用逗号隔开")
	private String area;
	/**
	 * 关联服务商，多个用逗号隔开
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联服务商，多个用逗号隔开")
	private String siteId;
	/**
	 * 关联电站，多个用逗号隔开
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联电站，多个用逗号隔开")
	private String entryId;
	/**
	 * 创建人
	 */
	@ColumnWidth(20)
	@ExcelProperty("创建人")
	private String createName;

}
