/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.mapper;

import org.springblade.modules.operation.pojo.entity.OperationTechnicalDataEntity;
import org.springblade.modules.operation.pojo.vo.OperationTechnicalDataVO;
import org.springblade.modules.operation.excel.OperationTechnicalDataExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 技术资料表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-06-26
 */
public interface OperationTechnicalDataMapper extends BaseMapper<OperationTechnicalDataEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param operationTechnicalData
	 * @return
	 */
	List<OperationTechnicalDataVO> selectOperationTechnicalDataPage(IPage page, OperationTechnicalDataVO operationTechnicalData);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<OperationTechnicalDataExcel> exportOperationTechnicalData(@Param("ew") Wrapper<OperationTechnicalDataEntity> queryWrapper);


	int deleteTechnical(@Param("ids") String ids,@Param("userName") String userName);

}
