/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 平台通知公告表 实体类
 *
 * @author lzp
 * @since 2024-06-25
 */
@Data
@TableName("sf_platform_announcement")
@Schema(description = "PlatformAnnouncement对象")
public class PlatformAnnouncementEntity implements Serializable {

	@JsonSerialize(
		using = ToStringSerializer.class
	)
	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_ID
	)
	private Long id;

	/**
	 * 公告标题
	 */
	@Schema(description = "公告标题")
	private String title;
	/**
	 * 图文内容
	 */
	@Schema(description = "图文内容")
	private String html;
	/**
	 * 附件
	 */
	@Schema(description = "附件")
	private String fileUrl;
	/**
	 * 创建人userId
	 */
	@Schema(description = "创建人userId")
	private String createBy;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Schema(description = "创建时间")
	private Date createTime;

	/**
	 * 创建人姓名
	 */
	@Schema(description = "创建人姓名")
	private String creator;
	/**
	 * 公告类型 1.系统通知 2.公司公告 3.功能升级
	 */
	@Schema(description = "公告类型 1.系统通知 2.公司公告 3.功能升级")
	private String objType;
	/**
	 * 适用的服务商
	 */
	@Schema(description = "适用的服务商")
	private String siteId;

	@Schema(description = "0正常 1删除")
	private String status;


}
