/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 平台员工权限表 实体类
 *
 * @author BladeX
 * @since 2024-06-27
 */
@Data
@TableName("sf_platform_employee")
@Schema(description = "PlatformEmployee对象")
public class PlatformEmployeeEntity implements Serializable {
	@JsonSerialize(
		using = ToStringSerializer.class
	)
	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_ID
	)
	private String id;
	/**
	 * 用户id
	 */
	@Schema(description = "用户id")
	private String userId;
	/**
	 * 覆盖省份，多个用逗号隔开
	 */
	@Schema(description = "覆盖省份，多个用逗号隔开")
	private String provinces;
	/**
	 * 覆盖市，多个用逗号隔开
	 */
	@Schema(description = "覆盖市，多个用逗号隔开")
	private String city;
	/**
	 * 覆盖区县，多个用逗号隔开
	 */
	@Schema(description = "覆盖区县，多个用逗号隔开")
	private String area;
	/**
	 * 关联服务商，多个用逗号隔开
	 */
	@Schema(description = "关联服务商，多个用逗号隔开")
	private String siteId;
	/**
	 * 关联电站，多个用逗号隔开
	 */
	@Schema(description = "关联电站，多个用逗号隔开")
	private String entryId;
	/**
	 * 创建人
	 */
	@Schema(description = "创建人")
	private String createName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Schema(description = "创建时间")
	private Date createTime;

	@Schema(description = "关联资方id，多个用逗号隔开")
	private String partnerName;


}
