/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.operation.pojo.entity.OperationTechnicalDataEntity;
import org.springblade.modules.operation.pojo.vo.OperationTechnicalDataVO;
import org.springblade.modules.operation.excel.OperationTechnicalDataExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 技术资料表 服务类
 *
 * @author BladeX
 * @since 2024-06-26
 */
public interface IOperationTechnicalDataService extends IService<OperationTechnicalDataEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param operationTechnicalData
	 * @return
	 */
	IPage<OperationTechnicalDataVO> selectOperationTechnicalDataPage(IPage<OperationTechnicalDataVO> page, OperationTechnicalDataVO operationTechnicalData);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<OperationTechnicalDataExcel> exportOperationTechnicalData(Wrapper<OperationTechnicalDataEntity> queryWrapper);

	boolean addTechnical(OperationTechnicalDataEntity dataEntity);

	boolean updateTechnical(OperationTechnicalDataEntity dataEntity);

	boolean deleteTechnical(String ids);

}
