/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import java.math.BigDecimal;

/**
 * 工单结算表 数据传输对象实体类
 *
 * @author BladeX
 * @since 2024-06-26
 */
@Data
public class OperationOrderSettleDTO {


	@Schema(description = "结算id,修改的时候用")
	private String settleId;
	/*
	   工单id
	 */
	@Schema(description = "工单id")
	@NotBlank(message = "工单id不能为空！")
	private String orderId;
	/**
	 * 结算金额
	 */
	@Schema(description = "结算金额")
	@NotNull(message = "结算金额不能为空！")
	private BigDecimal settleAmount;

	@Schema(description = "扣款金额")
	private BigDecimal deductionAmount;

	@Schema(description = "实际支付金额")
	@NotNull(message = "实际支付金额不能为空！")
	private BigDecimal actualAmount;
	/**
	 * 结算备注
	 */
	@Schema(description = "结算备注")
	private String remarks;

}
