package org.springblade.modules.order.pojo.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class OrderLetterDTO {

	@Schema(description = "公函id")
	private String id;

	@Schema(description = "order表主键id")
	@NotBlank(message = "工单id不能为空")
	private String orderId;

	@Schema(description = "预警时间")
	@NotNull(message = "预警时间不能为空")
	@JsonFormat(pattern ="yyyy-MM-dd")
	@JSONField(format = "yyyy-MM-dd")
	private Date warningDay;

	@Schema(description = "扣款金额")
	@NotNull(message = "扣款金额不能为空")
	private BigDecimal deductionAmount;

	@Schema(description = "公函地址")
	@NotBlank(message = "公函不能为空")
	private String letterPath;

	@Schema(description = "公函文件名称")
	private String letterFileName;

}
