/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 工单回访表 实体类
 *
 * @author BladeX
 * @since 2024-06-21
 */
@Data
@TableName("sf_operation_order_callback")
@Schema(description = "OperationOrderCallback对象")
public class OperationOrderCallbackEntity implements Serializable {

	@JsonSerialize(
		using = ToStringSerializer.class
	)
	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;

	/**
	 * 工单id
	 */
	@Schema(description = "工单id")
	private String orderId;
	/**
	 * 回访人id
	 */
	@Schema(description = "回访人id")
	private String createBy;
	/**
	 * 回访人姓名
	 */
	@Schema(description = "回访人姓名")
	private String createName;

	private Date createTime;
	/**
	 * 服务态度：1.满意 2.一般 3.不满意
	 */
	@Schema(description = "服务态度：1.满意 2.一般 3.不满意")
	private String serviceAttitude;
	/**
	 * 回访内容
	 */
	@Schema(description = "回访内容")
	private String remarks;

}
