/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 工单平台派工表 实体类
 *
 * @author lzp
 * @since 2024-06-20
 */
@Data
@TableName("sf_operation_order_dispatch")
@Schema(description = "OperationOrderDispatch对象")
public class OperationOrderDispatchEntity implements Serializable {


	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;


	/**
	 * order表主键id
	 */
	@Schema(description = "order表主键id")
	private String orderId;
	/**
	 * 工单派工时间
	 */
	@Schema(description = "工单派工时间")
	private Date dispatchTime;
	/**
	 * 对待接收的派工处理时间，接单为接单时间，拒单为拒单时间
	 */
	@Schema(description = "对待接收的派工处理时间，接单为接单时间，拒单为拒单时间")
	private Date processTime;
	/**
	 * 服务完工时间
	 */
	@Schema(description = "服务完工时间")
	private Date endTime;
	/**
	 * 标记本次派工是否预约：0未预约 1已预约。默认0
	 */
	@Schema(description = "标记本次派工是否预约：0未预约 1已预约。默认0")
	private String promiseFlag;
	/**
	 * 服务商/信息员修改预约的操作时间
	 */
	@Schema(description = "服务商/信息员修改预约的操作时间")
	private Date promiseTime;
	/**
	 * 上门维修时间
	 */
	@Schema(description = "上门维修时间")
	private Date dropInTime;
	/**
	 * 更新操作人
	 */
	@Schema(description = "更新操作人")
	private String updateBy;

	private Date updateTime;

	/**
	 * 备注
	 */
	@Schema(description = "备注")
	private String remarks;
	/**
	 * 平台派工操作人id
	 */
	@Schema(description = "平台派工操作人id")
	private String employeeId;
	/**
	 * 平台派工操作人姓名
	 */
	@Schema(description = "平台派工操作人姓名")
	private String employeeName;
	@Schema(description = "派工状态：0.待接单 1.已接单 2.已拒单 3.维修已完工 4.已转派 5.派工取消")
	private String status;

	/**
	 * 服务商id
	 */
	@Schema(description = "服务商id")
	private String siteId;
	/**
	 * 服务商名称
	 */
	@Schema(description = "服务商名称")
	private String siteName;
	/**
	 * 完工结果：0.正常完工  1.服务商确认无效
	 */
	@Schema(description = "完工结果：0.正常完工  1.服务商确认无效")
	private String completionResult;

}
