/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 工单反馈表 实体类
 *
 * @author lzp
 * @since 2024-06-21
 */
@Data
@TableName("sf_operation_order_feedback")
@Schema(description = "OperationOrderFeedback对象")
public class OperationOrderFeedbackEntity implements Serializable {


	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;
	/**
	 * order表主键id
	 */
	@Schema(description = "order表主键id")
	private String orderId;
	/**
	 * 反馈时间
	 */
	@Schema(description = "反馈时间")
	private Date feedbackTime;
	/**
	 * 反馈人id:对应角色子表主键id
	 */
	@Schema(description = "反馈人id:对应角色子表主键id")
	private String feedbackId;
	/**
	 * 反馈人姓名
	 */
	@Schema(description = "反馈人姓名")
	private String feedbackName;
	/**
	 * 反馈文字内容,维修工反馈维修过程内容，信息员可反馈记录客户催单/（缺件：+配件描述）
	 */
	@Schema(description = "反馈文字内容,维修工反馈维修过程内容，信息员可反馈记录客户催单/（缺件：+配件描述）")
	private String feedback;
	/**
	 * 反馈结果
	 */
	@Schema(description = "反馈结果")
	private String feedbackResult;
	/**
	 * 反馈设备主图片路径（可存放多个图片路径，以","隔开）
	 */
	@Schema(description = "反馈设备主图片路径（可存放多个图片路径，以隔开）")
	private String feedbackImg;
	/**
	 * 备注
	 */
	@Schema(description = "备注")
	private String remarks;
	/**
	 * 服务商id
	 */
	@Schema(description = "服务商id")
	private String siteId;
	/**
	 * 反馈类型：0 过程反馈 1服务完成反馈 2服务无法完成反馈
	 */
	@Schema(description = "反馈类型：0 过程反馈 1服务完成反馈 2服务无法完成反馈")
	private String feedbackType;

}
