package org.springblade.modules.order.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("sf_operation_order_letter")
@Schema(description = "OperationOrderLetterEntity对象")
public class OperationOrderLetterEntity implements Serializable {


	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;


	/**
	 * order表主键id
	 */
	@Schema(description = "order表主键id")
	private String orderId;

	@Schema(description = "预警时间")
	private Date warningDay;

	@Schema(description = "扣款金额")
	private BigDecimal deductionAmount;

	@Schema(description = "公函地址")
	private String letterPath;

	@Schema(description = "公函文件名称")
	private String letterFileName;

	@Schema(description = "上传时间")
	private Date createTime;

	@Schema(description = "上传人姓名")
	private String createName;

	@Schema(description = "修改时间")
	private Date updateTime;

	@Schema(description = "修改人")
	private String updateName;

	@Schema(description = "状态:0正常 1删除")
	private String status;
}
