/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

import java.io.Serializable;

/**
 * 工单操作/跟踪明细记录表 实体类
 *
 * @author lzp
 * @since 2024-06-20
 */
@Data
@TableName("sf_operation_order_operation_info")
@Schema(description = "OperationOrderOperationInfo对象")
public class OperationOrderOperationInfoEntity implements Serializable {


	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;
	/**
	 * 关联工单id
	 */
	@Schema(description = "关联工单id")
	private String orderId;
	/**
	 * 服务商id
	 */
	@Schema(description = "服务商id")
	private String siteId;
	/**
	 * 过程信息详情，Json格式List列表存储：字段有 时间-2017-04-05 15:16:50 操作人-王佳贤 操作内容-品牌商修改了条码
	 */
	@Schema(description = "过程信息详情，Json格式List列表存储：字段有 时间-2017-04-05 15:16:50 操作人-王佳贤 操作内容-品牌商修改了条码")
	private String processDetail;
	/**
	 * 跟踪信息详情（平台人员操作），Json格式List列表存储：字段有 时间-2017-04-05 15:16:50 操作人-王佳贤 操作内容-品牌商修改了条码
	 */
	@Schema(description = "跟踪信息详情（平台人员操作），Json格式List列表存储：字段有 时间-2017-04-05 15:16:50 操作人-王佳贤 操作内容-品牌商修改了条码")
	private String trackDetail;

}
