/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 工单结算表 实体类
 *
 * @author BladeX
 * @since 2024-06-26
 */
@Data
@TableName("sf_operation_order_settle")
@Schema(description = "OperationOrderSettle对象")
public class OperationOrderSettleEntity implements Serializable {

	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;
	/**
	 * 工单id
	 */
	@Schema(description = "工单id")
	private String orderId;
	/**
	 * 结算金额
	 */
	@Schema(description = "结算金额")
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private BigDecimal settleAmount;

	@Schema(description = "扣款金额")
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private BigDecimal deductionAmount;

	@Schema(description = "实际支付金额")
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private BigDecimal actualAmount;
	/**
	 * 结算备注
	 */
	@Schema(description = "结算备注")
	private String remarks;
	/**
	 * 结算时间
	 */
	@Schema(description = "结算时间")
	private Date settleTime;
	/**
	 * 结算人
	 */
	@Schema(description = "结算人")
	private String settleBy;
	/**
	 * 结算人姓名
	 */
	@Schema(description = "结算人姓名")
	private String settleByName;


	private String siteId;

	private String status;

}
