/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 服务商派工表 实体类
 *
 * @author hx
 * @since 2024-06-21
 */
@Data
@TableName("sf_operation_order_site_dispatch")
@Schema(description = "OperationOrderSiteDispatch对象")
public class OperationOrderSiteDispatchEntity implements Serializable {

	@JsonSerialize(
		using = ToStringSerializer.class
	)
	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;

	/**
	 * 关联工单id
	 */
	@Schema(description = "关联工单id")
	private String orderId;
	/**
	 * 服务商id
	 */
	@Schema(description = "服务商id")
	private String siteId;
	/**
	 * 工程师id(多个逗号拼接)
	 */
	@Schema(description = "工程师id(多个逗号拼接)")
	private String employeId;
	/**
	 * 工程师姓名(多个逗号拼接)
	 */
	@Schema(description = "工程师姓名(多个逗号拼接)")
	private String employeName;
	/**
	 * 工单派工时间
	 */
	@Schema(description = "工单派工时间")
	private Date dispatchTime;
	/**
	 * 对待接收的派工处理时间，接单为接单时间，拒单为拒单时间
	 */
	@Schema(description = "对待接收的派工处理时间，接单为接单时间，拒单为拒单时间")
	private Date processTime;
	/**
	 * 工程师修改预约的操作时间
	 */
	@Schema(description = "工程师修改预约的操作时间")
	private Date promiseTime;
	/**
	 * 服务完工时间
	 */
	@Schema(description = "服务完工时间")
	private Date endTime;
	/**
	 * 上门服务时间
	 */
	@Schema(description = "上门服务时间")
	private Date dropInTime;
	/**
	 * 创建人
	 */
	@Schema(description = "创建人")
	private String creator;

	private String status;

	private Date createTime;


	private Date updateTime;

	private String updateName;
}
